View Issue Details

IDProjectCategoryView StatusLast Update
0013095LazarusIDEpublic2009-09-24 08:11
Reporterjoshas Assigned ToPaul Ishenin  
PrioritynormalSeverityminorReproducibilitysometimes
Status closedResolutionfixed 
Product Version0.9.27 (SVN) 
Target Version1.0.0Fixed in Version0.9.29 (SVN) 
Summary0013095: Non visual components dissapear when context menu is open
DescriptionIf you have some non visual components (eg. TPopupMenu or TImageList) on your form, then after right clicking on some other component opens context menu and hides all non visual components. SVN 18530.
TagsNo tags attached.
Fixed in Revision21842
LazTarget1.0
WidgetsetWin32/Win64
Attached Files

Relationships

related to 0012228 closedPaul Ishenin popup menu vanishes 

Activities

Vincent Snijders

2009-02-07 20:55

manager   ~0025179

Last edited: 2009-02-07 20:56

It does not happen, if you don't use the "reduce designer painting" from Options -> Form editor.

Maybe that means, that while showing a popup menu, the OnIdle event handlers are not called.

Paul Ishenin

2009-09-24 02:47

manager   ~0030954

Please test and close if ok.

Issue History

Date Modified Username Field Change
2009-02-01 19:03 joshas New Issue
2009-02-01 19:03 joshas Widgetset => Win32
2009-02-07 20:55 Vincent Snijders Note Added: 0025179
2009-02-07 20:56 Vincent Snijders Note Edited: 0025179
2009-02-07 20:56 Vincent Snijders LazTarget => 1.0
2009-02-07 20:56 Vincent Snijders Status new => acknowledged
2009-02-07 20:56 Vincent Snijders Target Version => 1.0.0
2009-02-15 13:24 Paul Ishenin Relationship added related to 0012228
2009-09-24 02:47 Paul Ishenin Fixed in Revision => 21842
2009-09-24 02:47 Paul Ishenin Status acknowledged => resolved
2009-09-24 02:47 Paul Ishenin Fixed in Version => 0.9.29 (SVN)
2009-09-24 02:47 Paul Ishenin Resolution open => fixed
2009-09-24 02:47 Paul Ishenin Assigned To => Paul Ishenin
2009-09-24 02:47 Paul Ishenin Note Added: 0030954
2009-09-24 08:11 joshas Status resolved => closed